WhyCan Forum(哇酷开发者社区)

感谢为中文互联网持续输出优质内容的各位老铁们。 QQ: 516333132, 微信(wechat): whycan_cn (哇酷网/挖坑网/填坑网) service@whycan.cn

您尚未登录。

#1 2020-09-04 19:13:37

aodzip
会员
注册时间: 2019-10-15
累计积分: 113

buildroot-tiny200 (F1C100/200s) 开发包近期更新内容 * 已支持DVP摄像头 *

主要更新
- 新增了OV2640和OV5640摄像头的支持,不妨体验一下

其他更新
- 调整了默认的Linux内核config
- 修复了F1C100s无法启动Kernel的问题
- USB外设默认工作在MTP模式,USB连接到电脑后可直接访问根目录
- U-Boot多处优化

开发包地址
- https://github.com/aodzip/buildroot-tiny200

请注意,从老版本pull到最新的版本需要

make clean
make widora_tiny200_defconfig
make -j8

才能应用上最新的更改,此操作会清空编译目录和镜像目录,注意备份重要文件。








以下由 @哇酷小二 2020-09-27 添加:
--------------------------------
tiny200 购买地址: https://item.taobao.com/item.htm?id=587925184119

离线

#2 2020-09-04 19:28:34

aodzip
会员
注册时间: 2019-10-15
累计积分: 113

Re: buildroot-tiny200 (F1C100/200s) 开发包近期更新内容 * 已支持DVP摄像头 *

# 目前开发包对芯片驱动的支持情况
## 正常工作 && 已验证
### 启动项:
- SPI NOR Flash
- SPI NAND Flash
- MMC 0
- MMC 1
### U-Boot 驱动:
- Basic LCD
- GPIO Backlight
- USB Peripheral
- MTD Devices
### Linux 驱动:
- Simple Peripheral: GPIO, SPI, UART, IIC, SDIO, PWM
- DMA Controller
- Audio Codec: Playback, Mic-IN
- USB: Peripheral Mode, Host Mode
- DVP Camera: OV2640, OV5640
- Display Engine: Frontend, Backend, TCON
## 应该正常工作但是没有经过测试
### U-Boot 驱动:
- PWM Backlight
### Linux 驱动:
- Audio Codec: FM-IN, Line-IN
- USB: OTG Mode
- IR Receiver
- Keypad ADC
## 正在开发中且部分功能可用
### Linux 驱动:
- TV(CVBS) Encoder
- Touchscreen Sensor
- Cedar Video Engine
## 暂无计划支持
... 下方和其他没有提到的外设
### Linux 驱动:
- TV(CVBS) Decoder
- Digital Audio
- DE-interlace
- RSB Bus
- OWA Bus

最近编辑记录 aodzip (2020-09-04 19:30:45)

离线

#3 2020-09-04 20:06:33

ITOP
会员
注册时间: 2020-08-28
累计积分: 2

Re: buildroot-tiny200 (F1C100/200s) 开发包近期更新内容 * 已支持DVP摄像头 *

漂亮,这个F1C200S可以用吗?

离线

#4 2020-09-04 20:08:43

马前卒
会员
注册时间: 2020-08-08
累计积分: 22

Re: buildroot-tiny200 (F1C100/200s) 开发包近期更新内容 * 已支持DVP摄像头 *

ITOP 说:

漂亮,这个F1C200S可以用吗?

这个本来不就是F1C200s的SDK嘛.


楼主v587!

离线

#5 2020-09-04 22:34:20

netwp
会员
注册时间: 2018-08-19
累计积分: 22

Re: buildroot-tiny200 (F1C100/200s) 开发包近期更新内容 * 已支持DVP摄像头 *

请问这次更新,默认是800*480的LCD吗

离线

#6 2020-09-05 11:12:48

jkl
会员
注册时间: 2019-11-18
累计积分: 113

Re: buildroot-tiny200 (F1C100/200s) 开发包近期更新内容 * 已支持DVP摄像头 *

收藏一下,感谢楼主共享

离线

#7 2020-09-06 16:31:24

codetez
会员
注册时间: 2020-05-23
累计积分: 28

Re: buildroot-tiny200 (F1C100/200s) 开发包近期更新内容 * 已支持DVP摄像头 *

紧跟大佬学习

离线

#8 2020-09-09 20:33:10

bitter
会员
注册时间: 2019-01-19
累计积分: 16

Re: buildroot-tiny200 (F1C100/200s) 开发包近期更新内容 * 已支持DVP摄像头 *

今天刚入手。学习中。还送了两个 1bit SDIO的PCB.难道还要买SD NAND?

最近编辑记录 bitter (2020-09-09 20:34:55)

离线

#9 2020-09-09 21:23:24

xiaohe669
会员
注册时间: 2019-02-12
累计积分: 1

Re: buildroot-tiny200 (F1C100/200s) 开发包近期更新内容 * 已支持DVP摄像头 *

好东西,点赞!!  学习

离线

#10 2020-09-11 22:07:18

mango
会员
所在地: 小猿桌
注册时间: 2017-12-02
累计积分: 641
个人网站

Re: buildroot-tiny200 (F1C100/200s) 开发包近期更新内容 * 已支持DVP摄像头 *

bitter 说:

今天刚入手。学习中。还送了两个 1bit SDIO的PCB.难道还要买SD NAND?

那个小PCB是给SD芯片准备的。
过几天上架一批,16M NOR和128M NAND都有,也有FLASH位置部分留空的

离线

#11 2020-09-14 12:41:05

dgtg
会员
注册时间: 2017-11-08
累计积分: 170

Re: buildroot-tiny200 (F1C100/200s) 开发包近期更新内容 * 已支持DVP摄像头 *

支持楼主!

离线

#12 2020-09-24 19:32:43

哇酷小二
管理员
注册时间: 2020-04-22
累计积分: 1,811

Re: buildroot-tiny200 (F1C100/200s) 开发包近期更新内容 * 已支持DVP摄像头 *

楼主今天有重大更新,可以关注一下。

离线

#13 2020-09-25 09:19:20

only_you
会员
注册时间: 2020-09-25
累计积分: 2

Re: buildroot-tiny200 (F1C100/200s) 开发包近期更新内容 * 已支持DVP摄像头 *

哇酷小二 说:

楼主今天有重大更新,可以关注一下。

2020-09-25_091849.jpg


fswebcam -d /dev/video0 -S 3 test1.bmp

发现颜色有点不对劲 : (

离线

#14 2020-09-25 09:28:55

哇酷小二
管理员
注册时间: 2020-04-22
累计积分: 1,811

Re: buildroot-tiny200 (F1C100/200s) 开发包近期更新内容 * 已支持DVP摄像头 *

only_you 说:
哇酷小二 说:

楼主今天有重大更新,可以关注一下。

https://whycan.com/files/members/5231/2020-09-25_091849.jpg


fswebcam -d /dev/video0 -S 3 test1.bmp

发现颜色有点不对劲 : (

我记得fswebcam要加一个-p UYVY参数

离线

#15 2020-09-25 09:43:30

only_you
会员
注册时间: 2020-09-25
累计积分: 2

Re: buildroot-tiny200 (F1C100/200s) 开发包近期更新内容 * 已支持DVP摄像头 *

哇酷小二 说:
only_you 说:

https://whycan.com/files/members/5231/2020-09-25_091849.jpg


fswebcam -d /dev/video0 -S 3 test1.bmp

发现颜色有点不对劲 : (

我记得fswebcam要加一个-p UYVY参数

fswebcam -d /dev/video0 -S 3 -p UYVY test19.bmp

谢谢大佬, 搞定, 非常好用。

离线

#16 2020-09-25 11:27:46

only_you
会员
注册时间: 2020-09-25
累计积分: 2

Re: buildroot-tiny200 (F1C100/200s) 开发包近期更新内容 * 已支持DVP摄像头 *

分析了一下 mtp 的实现:

buildroot board/widora/mangopi/r3/widora_mangopi_r3_defconfig 勾选了 BR2_PACKAGE_UMTPRD

根文件系统生成 /usr/sbin/umtprd

系统启动文件 /etc/init.d/S98uMTPrd:

#!/bin/sh
#
# Start uMTPrd....
#

start() {
    printf "Starting uMTPrd: "
    mount none /sys/kernel/config -t configfs
    mkdir /sys/kernel/config/usb_gadget/g1
    cd /sys/kernel/config/usb_gadget/g1
    mkdir configs/c.1
    mkdir functions/ffs.mtp
    mkdir strings/0x409
    mkdir configs/c.1/strings/0x409

    echo 0x0100 > idProduct
    echo 0x1D6B > idVendor

    echo "Widora" > strings/0x409/manufacturer
    echo "MangoPi R3" > strings/0x409/product

    echo "Conf 1" > configs/c.1/strings/0x409/configuration
    echo 120 > configs/c.1/MaxPower
    ln -s functions/ffs.mtp configs/c.1
    mkdir /dev/ffs-mtp
    mount -t functionfs mtp /dev/ffs-mtp
    start-stop-daemon -S -q -m -b -p /var/run/umtprd.pid -x /usr/sbin/umtprd
    sleep 1
    ls /sys/class/udc/ > /sys/kernel/config/usb_gadget/g1/UDC
    [ $? = 0 ] && echo "OK" || echo "FAIL"
}

stop() {
    printf "Stopping uMTPrd: "
    echo > /sys/kernel/config/usb_gadget/g1/UDC
    start-stop-daemon -K -q -p /var/run/umtprd.pid -x /usr/sbin/umtprd
    [ $? = 0 ] && echo "OK" || echo "FAIL"
}

case "$1" in
    start)
    start
    ;;
    stop)
    stop
    ;;
    restart|reload)
    stop
    sleep 1
    start
    ;;
  *)
    echo "Usage: $0 {start|stop|restart}"
    exit 1
esac

exit $?

离线

#17 2020-09-25 11:55:44

路人甲
会员
注册时间: 2017-09-07
累计积分: 170

Re: buildroot-tiny200 (F1C100/200s) 开发包近期更新内容 * 已支持DVP摄像头 *

请问楼主MTP 是 FunctionFS模拟的吗?

离线

页脚

工信部备案:粤ICP备20025096号 Powered by FluxBB